Rated 4 out of 5 stars

The good extension, but incompatible with FF 3.6.3, even after a maxVersion overriding for compatibility, Please, update it!